(function (factory) {
    typeof define === 'function' && define.amd ? define(factory) :
    factory();
}((function () { 'use strict';

    var __importStar = (undefined && undefined.__importStar) || function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result["default"] = mod;
        return result;
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    const graphql_tools_1 = require("graphql-tools");
    const TokenEnum_1 = require("./enums/TokenEnum");
    const schema_1 = require("./schema");
    const resolvers = __importStar(require("./resolvers"));
    exports.createSchema = (environment) => {
        const tokenEnum = TokenEnum_1.createTokenEnum(environment);
        const executable = graphql_tools_1.makeExecutableSchema({
            resolvers: Object.assign(Object.assign({}, resolvers), { tokenEnum }),
            typeDefs: [TokenEnum_1.createTokenEnumDefinition(tokenEnum), schema_1.schema],
            inheritResolversFromInterfaces: true,
        });
        return executable;
    };

})));
//# sourceMappingURL=bundle.umd.js.map
